<app-title [title]="'Liste de tes amis'"></app-title>
<div class="has-left-margin has-margin-top-3 is-flex is-align-center is-space-between">
  <div>
    <div>
      <span #Number [style.visibility]="'hidden'">{{numberNotif}}</span>
      <img #Bell (click)="openNotif()" [src]="img">
    </div>
    <div class="is-flex" *ngIf="notif">
      <div [className]="isMobile ? 'test cut-mobile' : 'test cut'">
        <table class="table font has-margin-left-4 has-margin-top-1 has-margin-bottom-1  has-margin-right-4">
          <tbody>
            <tr class="tr-notif" *ngFor="let ask of listAsks; let i = index">
                <td [style.Color]="'black'">
                    {{ask.name}} vous demande comme ami.
                </td>
                <td *ngIf="!isMobile">
                  <button class="button is-success has-left-margin" (click)="acceptFriend(ask)">Accepter</button>
                </td>
                <td *ngIf="!isMobile">
                  <button class="button is-danger has-left-margin" (click)="declineFriend(ask)">Refuser</button>
                </td>
                <td *ngIf="isMobile">
                  <div #DropNotif (click)="openActions(i)" class="dropdown has-margin-right-1">
                    <div class="dropdown-trigger">
                      <button class="button is-stats">
                        <span>Actions</span>
                      </button>
                    </div>
                    <div class="dropdown-menu" id="dropdown-menu" role="menu">
                      <div class="dropdown-content">
                        <div class="dropdown-item has-background-success" (click)="acceptFriend(ask)">
                          <span [style.Color]="'white'">
                            Accepter
                          </span>
                        </div>
                        <div (click)="declineFriend(ask)" class="dropdown-item has-background-danger">
                          <span [style.Color]="'white'">
                            Refuser
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div *ngIf="hasFriends && canDisplay" class="is-flex align-center has-border has-right-margin cursor" routerLink="/classement" routerLinkActive="active">
    <img [className]="isMobile ? 'size-coupe' : ''" src="../../assets/images/coupe.png">
    <span>Classement</span>
  </div>
  
</div>
  <!-- <div *ngIf="hasFriends" class="background">
    <div class="is-flex is-centered">
      <button (click)="openAddFriend()" class="button is-flex is-add-button">
          <img class="has-right-margin" src="assets/images/plus.png"/>
          Ajouter un ami
      </button>
      <item-list-admin *ngFor="let friend of listFriends" (update)="askDelete($event)" [relationId]="friend.relationId" [img]="friend.character" [isFriend]="'visible'" [name]="friend.name" [text]="'Supprimer'"></item-list-admin>
  </div>
  </div> -->
  <div *ngIf="hasNoFriends" class="has-text-center">
    <div class="is-flex is-centered">
      <p [className]="isMobile ? 'warning is-mobile' : 'warning is-desktop'">Tu n'as pour l'instant aucun ami ajouté.</p>
      <button (click)="openAddFriend()" class="button is-flex is-add-button">
        <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
        Ajouter un ami
      </button>
    </div>
  </div>

  <div *ngIf="hasFriends" class="is-flex is-centered has-margin-top-1">
    <div class="background">
      <button (click)="openAddFriend()" class="button has-margin-top-1 has-margin-bottom-1 is-add-button">
        <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
        <span>Ajouter un ami</span>
      </button>
      <table *ngIf="!isMobile" class="table font-2 has-margin-top-1 has-margin-bottom-1 has-margin-left-4 has-margin-right-4 size">
        <tbody>
          <tr *ngFor="let friend of listFriends">
              <td>
                <img class="circle" width="50px" [src]="goPerso(friend.character)">
              </td>
              <td class="vertical-align">
                  {{friend.name}}
              </td>
              <td>
                <button class="button is-rounded is-stats is-flex"><img width="20px" class="has-margin-right-1" src="../../assets/images/stats_green.png"> <a [routerLink]="goStatsfriend(friend.name)" class="is-a-stats" routerLinkActive="active">Statistiques</a></button>
              </td>
              <td>
                <button (click)="askDelete(friend)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
              </td>
          </tr>
        </tbody>
      </table>
      <table *ngIf="isMobile" class="table font has-margin-left-4 has-margin-top-1 has-margin-bottom-1 has-margin-right-4">
        <tbody>
          <tr *ngFor="let friend of listFriends; let i = index">
              <td>
                <img class="circle" width="50px" [src]="goPerso(friend.character)">
              </td>
              <td>
                  {{friend.name}}
              </td>
              <td>
                <div #Tpt (click)="open(i)" class="dropdown has-margin-right-1">
                  <div class="dropdown-trigger">
                    <button class="button drop">
                      <span>Actions</span>
                    </button>
                  </div>
                  <div class="dropdown-menu" id="dropdown-menu" role="menu">
                    <div class="dropdown-content">
                      <div class="dropdown-item is-stats is-flex is-column is-align-center" [routerLink]="goStatsfriend(friend.name)" routerLinkActive="active">
                        <img width="15px" class="has-margin-bottom-1" src="../../assets/images/stats_green.png">
                        <a [routerLink]="goStatsfriend(friend.name)" class="is-a-stats" routerLinkActive="active">Statistiques</a>
                      </div>
                      <div (click)="askDelete(friend)" class="dropdown-item is-flex is-column is-align-center is-suppr">
                        <img width="25px" class="has-margin-bottom-1" src="../../assets/images/poubelle.png">
                        <span>
                          Supprimer
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
 
 
<!--MODALS-->
<!-- <div #Add id="modal" class="modal">
    <modal (canCancel)="cancel('add')">
      <img id="IconModal" src="../assets/images/profil.png">
        <h2 id="titleModal">Ajouter un(e) ami(e)</h2>
        <form class="is-flex is-centered" [formGroup]="addForm">
          <input formControlName="username" placeholder="Pseudonyme de ton ami(e)" id="nameOfFriend" class="is-first" type="text">
          <button *ngIf="addForm.valid" #SubmitButton class="button" id="submit" (click)="addFriend()">Valider</button>
        </form>
    </modal>
  </div> -->


  <div #Add class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <div class="is-flex is-align-center is-column flex-grow-4">
          <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/profil.png">
          <p class="modal-card-title has-margin-top-1">Ajouter un(e) ami(e)</p>
        </div>
        <button (click)="cancel('add')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body">
        <div class="is-flex is-column is-align-center justify-center content">
          <form class="is-flex is-centered" [formGroup]="addForm">
            <app-password formControlName="username" [password]="'hidden'" [text]="'Pseudo de ton ami(e)'"></app-password>
            <button *ngIf="addForm.valid" #SubmitButton [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" id="submit" (click)="addFriend()">Valider</button>
          </form>
        </div>
  
      </section>
    </div>
</div>


<!-- <div #Success class="modal">
    <div id="black" class="modal-background"></div>
      <div class="position-relative">
        <img src="../assets/images/croix.png" (click)="cancel('success')" class="modal-close"/>
        <div class="modal-content">
          <img id="IconModal" src="../assets/images/send.png">
          <h2 id="titleModal"> Invitation envoyée !</h2>
          <p id="is-modal-paragraph">L'invitation destiné à {{username}} a bien été envoyé !</p>
          <button id="submit" (click)="redirect()">Valider</button>
        </div>
    </div>
</div> -->

<div #Success class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/send.png">
        <p class="modal-card-title has-margin-top-1">Invitation envoyée</p>
      </div>
      <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
          <p class="is-modal-paragraph">L'invitation destinée à {{username}} a bien été envoyée !</p>
          <button [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Compris</button>
      </div>
    </section>
  </div>
</div>


<!-- <div #Failure class="modal">
    <div id="black" class="modal-background"></div>
      <div class="position-relative">
        <img src="../assets/images/croix.png" (click)="cancel('failure')" class="modal-close"/>
        <div class="modal-content">
            <img id="IconModal" src="../assets/images/error.png">
            <h2 id="titleModal"> Une erreur est survenue ! </h2>
            <p id="is-modal-paragraph"> Il semble y avoir un problème.</p>
            <button id="submitFailure" class="fail" (click)="Submit()">Réessayer</button>
          </div>
    </div>
</div> -->

<div #Failure class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
        <p class="modal-card-title has-margin-top-1">une erreur est survenue !</p>
      </div>
      <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
          <p class="is-modal-paragraph">Il semble y avoir un problème.</p>
          <button [className]="isMobile ? 'button default-style failure-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop failure-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Réessayer</button>
      </div>
    </section>
  </div>
</div>

<!-- <div #Warning class="modal">
  <div id="black" class="modal-background"></div>
    <div class="position-relative">
      <img src="../assets/images/croix.png" (click)="cancel('warning')" class="modal-close"/>
      <div class="modal-content">
          <img id="IconModal" src="../assets/images/warning.png">
          <h2 id="titleModal"> Supprimer {{friendToDelete.name}} </h2>
          <p id="is-modal-paragraph"> Es-tu sûr de vouloir supprimer {{friendToDelete.name}} de tes amis ? Tu pourras toujours l'ajouter de nouveau si tu changes d'avis plus tard.</p>
          <div class="is-flex buttons">
            <button id="submitWarning" #SubmitButton2 class="fail is-cancel button" (click)="delete()">Confirmer</button>
            <button class="fail is-cancel" (click)="cancel('warning')">Annuler</button>
          </div>
        </div>
  </div>
</div> -->
<div #Warning class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/warning.png">
        <p class="modal-card-title has-margin-top-1">Supprimer {{friendToDelete.name}} ?</p>
      </div>
      <button (click)="cancel('warning')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
          <p class="is-modal-paragraph"> Es-tu sûr de vouloir supprimer {{friendToDelete.name}} de tes amis ? Tu pourras toujours l'ajouter de nouveau si tu changes d'avis plus tard.</p>
          <div class="is-flex buttons">
            <button #SubmitButton2 [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="delete()">Confirmer</button>
            <button [className]="isMobile ? 'button default-style is-cancel has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop is-cancel has-margin-top-1 has-margin-bottom-2'" (click)="cancel('warning')">Annuler</button>
          </div>
      </div>
    </section>
  </div>
</div>